﻿using System;
using System.ComponentModel;

namespace TheGameExtreme.model.card
{
    public abstract class Card
    {
        private decimal value;
        public decimal Value
        {
            get { return value; }
            set
            {
                this.value = value;
            }
        }

        public Card(decimal value)
        {
            Value = value;
        }

        public override string ToString()
        {
            return Value.ToString();
        }

        public abstract String getName();
        public abstract bool rapidEffect();

    }
}
